PATCH
https://api.cryptohopper.com/v1/app/tradingview/webhook
Creates a new personal TradingView webhook URL for your account and returns it. The previous URL stops working, so update your TradingView alerts.
OAuth scope:
read manage About scopes
Example request
curl -X PATCH "https://api.cryptohopper.com/v1/app/tradingview/webhook" \
-H "access-token: YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.cryptohopper.com/v1/app/tradingview/webhook', {
method: 'PATCH',
headers: {
"access-token": "YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();
import requests
response = requests.patch(
"https://api.cryptohopper.com/v1/app/tradingview/webhook",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/app/tradingview/webhook');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'PATCH',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
],
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Response
{
"data": "https://www.cryptohopper.com/tradingview_alerts/hook?key=Qm4rT8yLp2Ks6Vx0Nb3Hc7Jd1Fg5Wz9aEu2Io8Pl4Sy6Rt0Mn3Bv7Cx1Zq5Dw9Ge"
}